Description

Dear Phillippe,

when i try to import the the shapefiles in gisaf, it gives an error.

    So please check it.

 

Here below attached the png for your reference.

 

Thanks.

Associated revisions

Revision 6c5a7f77 - 27/10/2021 23:52 - Philippe May

Fixes #13090: import geodata with empty multi parts

History

#1 - 26/10/2021 11:35 - Philippe May

- Assignee changed from Philippe May to Selvarani C

Please don't forget to mention which file. I assuming it's Final-RZ-01-2021-10-26-LL84_V-TOPO-BUNT------E.gpkg.

I had a very quick check and it seems that it's an issue with the geometries in this file. So, first question: could you import other files today?

#2 - 27/10/2021 11:30 - Selvarani C

Yes, I tried to import "Final-RZ-01-2021-10-26-LL84_V-BLDG-PLTF------E.gpkg"

it is also giving same error.

#3 - 27/10/2021 11:32 - Selvarani C

- Assignee changed from Selvarani C to Philippe May

#4 - 28/10/2021 00:05 - Philippe May

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|6c5a7f777f39000e1aacbcb9dda72888b344dd96.

#5 - 28/10/2021 00:14 - Philippe May

This should work now - please reopen the ticket otherwise.
https://redmine.auroville.org.in/projects/gisaf/repository/revisions/6c5a7f777f39000e1aacbcb9dda72888b344dd96


The problem was not related to the recent update. It's another case of importing dodgy input file, more precisely with geometries:

these are multi-geometries (multi-line, multi-polygon) that need to be "exploded" to single geometries (that functionality was added long ago)

AND some of these multi-geometries are empty.

#6 - 28/10/2021 11:00 - Selvarani C

Thanks Philippe. it's working now.
